create_rectangle#
- Modeler3DLayout.create_rectangle(layer, origin, sizes, corner_radius=0, angle=0, name=None, net=None, **kwargs)[source]#
Create a rectangle on a layer.
- Parameters:
- layer
str
Name of the layer.
- origin
list
Origin of the coordinate system in a list of
[x, y]
coordinates.- sizes
list
Dimensions for the box in a list of
[x, y]
coordinates.- corner_radius
float
,optional
- angle
float
,optional
Angle rotation in degrees. The default is
0
.- name
str
,optional
Name of the rectangle. The default is
None
, in which case the default name is assigned.- net
str
,optional
Name of the net. The default is
None
, in which case the default name is assigned.
- layer
- Returns:
ansys.aedt.core.modeler.cad.object_3dlayout.Rect3dLayout
Name of the rectangle created when successful.
References
>>> oEditor.CreateRectangle